Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.frontier
Class IPQueueAssignmentPolicy

    java.lang.Object
      org.archive.crawler.frontier.QueueAssignmentPolicy
          org.archive.crawler.frontier.HostnameQueueAssignmentPolicy
              org.archive.crawler.frontier.IPQueueAssignmentPolicy

    public class IPQueueAssignmentPolicy

extends HostnameQueueAssignmentPolicy

Uses target IP as basis for queue-assignment, unless it is unavailable, in which case it behaves as HostnameQueueAssignmentPolicy.

Author:
  gojomo

Constructor Summary
`IPQueueAssignmentPolicy()`

Method Summary
`java.lang.String` | `getClassKey(CrawlController controller, CandidateURI cauri)` Get the String key (name) of the queue to which the CrawlURI should be assigned.

Methods inherited from class org.archive.crawler.frontier.QueueAssignmentPolicy
`maximumNumberOfKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IPQueueAssignmentPolicy

    public IPQueueAssignmentPolicy()

Method Detail

### getClassKey

    public java.lang.String getClassKey(CrawlController controller,
                                        CandidateURI cauri)

  Description copied from class: `QueueAssignmentPolicy`
  Get the String key (name) of the queue to which the CrawlURI should be assigned. Note that changes to the CrawlURI, or its associated components (such as CrawlServer), may change its queue assignment.

  Overrides:
    `getClassKey` in class `HostnameQueueAssignmentPolicy`
  Parameters:
    `controller` - This crawls' controller.
    `cauri` - CandidateURI to calculate class key for.
  Returns:
    the String key of the queue to assign the CrawlURI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.